%define upstream_name    Text-FindIndent
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Heuristically determine the indent style
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Test::More) >= 0.800.0
BuildArch:  noarch

%description
This is an experimental distribution that attempts to intuit the underlying
indent "policy" for a text file (most likely a source code file).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-2.mga6
+ Revision: 1034915
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.110.0-1.mga6
+ Revision: 923997
- update to 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-5.mga5
+ Revision: 750111
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-4.mga5
+ Revision: 686620
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-3.mga4
+ Revision: 515509
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-2.mga3
+ Revision: 374050
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 22929
- cleaning spec file
- imported package perl-Text-FindIndent

